{
    attributes = (
        {
            columnName = "ANNEE_SCOLAIRE"; 
            externalType = NUMBER; 
            name = anneeScolaire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CODE_COMPTE"; 
            externalType = VARCHAR2; 
            name = codeCompte; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DETAIL_MONTANT"; 
            externalType = NUMBER; 
            name = detailMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIBELLE_COMPTE"; 
            externalType = VARCHAR2; 
            name = libelleCompte; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "NUMERO_HISTORIQUE"; 
            externalType = NUMBER; 
            name = numeroHistorique; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NUMERO_INSCRIPTION"; 
            externalType = NUMBER; 
            name = numeroInscription; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        anneeScolaire, 
        codeCompte, 
        detailMontant, 
        libelleCompte, 
        numeroHistorique, 
        numeroInscription
    ); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EOVDpaieCarteRestant"; 
    classProperties = (
        detailMontant, 
        libelleCompte, 
        numeroHistorique, 
        numeroInscription, 
        "toFwkScolarite_ScolFormationAnnee", 
        toHistorique, 
        toInscDipl, 
        toRepartitionCompte
    ); 
    externalName = "GARNUCHE.V_DPAIE_CARTE_RESTANT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EOVDpaieCarteRestant"; 
    }; 
    isReadOnly = Y; 
    name = "FwkScolarix_VDpaieCarteRestant"; 
    primaryKeyAttributes = (anneeScolaire, codeCompte, numeroHistorique, numeroInscription); 
    relationships = (
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = anneeScolaire; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }, 
        {
            destination = "FwkScolarix_Historique"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = histNumero; sourceAttribute = numeroHistorique; }); 
            name = toHistorique; 
        }, 
        {
            destination = "FwkScolarix_InscDipl"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idiplNumero; sourceAttribute = numeroInscription; }); 
            name = toInscDipl; 
        }, 
        {
            destination = "FwkScolarix_RepartitionCompte"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rcptCode; sourceAttribute = codeCompte; }); 
            name = toRepartitionCompte; 
        }
    ); 
}
